/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.cachingdemo;

import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Component;

/**
 *
 * @author omozegieaziegbe
 */
@Aspect
@Component
public class CachingAspect {
    
    private static final Logger logger = LoggerFactory.getLogger(CachingAspect.class);

    @Before("@annotation(cacheable)")
    public void beforeCacheableMethod(Cacheable cacheable) {
        logger.info("Before method: {}", cacheable.value());
    }
    
}
